current.docid
Prev | Linking | Next

## current.docid

current.docid — targetdoc identifier for the document being processed

## Synopsis

    <xsl:param name="current.docid"></xsl:param>

## Description

When olinks between documents are resolved for HTML output, the stylesheet can compute the relative path between the current document and the target document. The stylesheet needs to know the `targetdoc` identifiers for both documents, as they appear in the `target.database.document` database file. This parameter passes to the stylesheet the targetdoc identifier of the current document, since that identifier does not appear in the document itself.

This parameter can also be used for print output. If an olink's `targetdoc` id differs from the `current.docid`, then the stylesheet can append the target document's title to the generated olink text. That identifies to the reader that the link is to a different document, not the current document. See also `olink.doctitle` to enable that feature.

Prev | Up | Next
use.local.olink.style | Home | olink.doctitle